--
-- Synopsys
-- Vhdl wrapper for top level design, written on Mon Sep  7 07:15:57 2020
--
library ieee;
use ieee.std_logic_1164.all;
library work;
use work.genpackage.all;

entity wrapper_for_top is
   port (
      PROD : out std_logic_vector(35 downto 0);
      A : in std_logic_vector(17 downto 0);
      B : in std_logic_vector(17 downto 0)
   );
end wrapper_for_top;

architecture gen of wrapper_for_top is

component top
 port (
   PROD : out std_logic_vector (35 downto 0);
   A : in std_logic_vector (17 downto 0);
   B : in std_logic_vector (17 downto 0)
 );
end component;

signal tmp_PROD : std_logic_vector (35 downto 0);
signal tmp_A : std_logic_vector (17 downto 0);
signal tmp_B : std_logic_vector (17 downto 0);

begin

PROD <= tmp_PROD;

tmp_A <= A;

tmp_B <= B;



u1:   top port map (
		PROD => tmp_PROD,
		A => tmp_A,
		B => tmp_B
       );
end gen;
