## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../tb/prim_sim.v"
vlog -novopt -incr -work work "../tb/tb.v"
vlog -novopt -incr -work work "../../project/src/Top.v"
vlog -novopt -incr -work work "../../project/src/data_prom.v"
vlog -novopt -incr -work work "../../project/src/clk_div_even.v"
vlog -novopt -incr -work work "../../project/src/pdm2pcm/pdm2pcm.vo"

## part 3: sim design
vsim -novopt work.tb

## part 4: add signals
add wave /tb/Top_tb/clk
add wave /tb/Top_tb/pdm_sclk
add wave /tb/Top_tb/pdm_data
add wave /tb/Top_tb/out_pcm_valid
add wave /tb/Top_tb/out_pcm_sync
add wave /tb/Top_tb/out_pcm_data

## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 200us

